import { OrderSensitiveQueryParams } from "../../../common/model/OrderSensitiveQueryParams";
import { JsonValue } from "@upload-io/upload-shared-iso";
import { JSONSchema7 } from "json-schema";
export declare class JsonToQueryStringFunction {
    private readonly rootSchema;
    constructor(rootSchema: JSONSchema7);
    toQueryString(params: JsonValue): OrderSensitiveQueryParams;
    private toQueryStringInternal;
    private toQueryStringNormalized;
}
