import { DailyMonthlyBytesDto, DailyMonthlyBytesUnboxedDto } from "../../../../statistics/storage/dtos/shared/DailyMonthlyBytesDto";
import { DailyMonthlyUploadsDto, DailyMonthlyUploadsUnboxedDto } from "../../../../statistics/storage/dtos/shared/DailyMonthlyUploadsDto";
export interface StorageStatisticsByTimeDto {
    creates: DailyMonthlyBytesDto;
    createsExtended: DailyMonthlyUploadsDto | undefined;
    deletes: DailyMonthlyBytesDto;
}
export interface StorageStatisticsByTimeUnboxedDto {
    creates: DailyMonthlyBytesUnboxedDto;
    createsExtended: DailyMonthlyUploadsUnboxedDto | null;
    deletes: DailyMonthlyBytesUnboxedDto;
}
export declare namespace CreatesAndDeletesByTimeDto {
    const empty: StorageStatisticsByTimeDto;
    function combine(left: StorageStatisticsByTimeDto, right: StorageStatisticsByTimeDto): StorageStatisticsByTimeDto;
}
